wipe;

indir = '..\Scat\dat\';
infil = 'GrbSnd.mat';
xlsnam = 'GrabsAndSondes.xls';

delete(xlsnam);
load([indir infil]);

% metadata sheet
xlswrite(xlsnam,{'dan.codiga@gmail.com NBEP Contract 2018'},...
    'Metadata','A1');
xlswrite(xlsnam,{'Chlorophyll: Grab and NBFSMN sonde matchups'},...
    'Metadata','A3');
xlswrite(xlsnam,{['For grabs metadata see "20200506_Chlorophyll Grabs'...
    ' for Dan Codiga.xlsx" from NBC, "CHL.grab samples.2006-2017.KH.xlsx"'...
    ' from GSO, and "TW.surface2003.2017.csv" from NBNERR via GSO']...
    },'Metadata','A5');
xlswrite(xlsnam,{'For NBFSMN metadata see Task 4'},'Metadata','A6');
xlswrite(xlsnam,{['Time = fraction of day']},...
    'Metadata','A8');
xlswrite(xlsnam,{['dnest = "matlab datenum", Eastern Standard Time']},...
    'Metadata','A9');
xlswrite(xlsnam,{['val1,val2,val3 = grab sample chlorophyll concentration, ug L^-1']},...
    'Metadata','A10');
xlswrite(xlsnam,{['mean,stdev,n,minmaxdif = statistics from val1,val2,val3']},...
    'Metadata','A11');
xlswrite(xlsnam,{['Snd15mnt = sonde chlorophyll concentration, ug L^-1, individual 15-min value nearest in time']},...
    'Metadata','A12');
xlswrite(xlsnam,{['Snd1HrMin, Snd1HrAvg, Snd1HrMax = sonde chlorophyll concentration, ug L^-1, minimum, mean, and maximum of nearest 1 hour of individual 15-min values']},...
    'Metadata','A13');
xlswrite(xlsnam,{['Snd3HrMin, Snd3HrAvg, Snd3HrMax = sonde chlorophyll concentration, ug L^-1, minimum, mean, and maximum of nearest 3 hours of individual 15-min values']},...
    'Metadata','A14');
xlswrite(xlsnam,{['Snd8HrMin, Snd8HrAvg, Snd8HrMax = sonde chlorophyll concentration, ug L^-1, minimum, mean, and maximum of nearest 8 hours of individual 15-min values']},...
    'Metadata','A15');

writetable(GrbSnd,xlsnam,'Sheet','GrabSondeMatchups');

% remove Sheet1
newExcel = actxserver('excel.application');
newExcel.DisplayAlerts = false;
xls = newExcel.Workbooks.Open([pwd '\' xlsnam],0,false);
xls.Sheets.Item(1).Delete;
xls.Save();
xls.Close();
newExcel.Quit();
delete(newExcel);

% move to final destination
% movefile(xlsnam,['../../DataFiles/Results' xlsnam]);
